API Explorer 975 endpoints

Create new writable_entity

POST /obp/v7.0.0/banks/SYS/dynamic-entities/writable_entity

OBPv7.0.0-dynamicEntity_createwritable_entity_ Roles: CanCreateDynamicEntityRecord_writable_entity(per bank) _Writable_entityDynamic-EntityDynamic

Create new writable_entity.

Mything

Property List:

  • some_id: (uu)id
  • status_code: in_progress, verified, failed
  • status_message: further explanation of status code
  • authority: name of authority that verified the ownership

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"writable_entity"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "some_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
  "status_code": "verified",
  "status_message": "could not find owner",
  "authority": "authority"
}
Example success response
{
  "bank_id": "SYS",
  "writable_entity": {
    "writable_entity_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
    "some_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "status_code": "verified",
    "status_message": "could not find owner",
    "authority": "authority"
  },
  "metadata": {
    "created": {
      "at": "2026-09-30T10:12:00Z",
      "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    },
    "updated": {
      "at": "2026-09-30T11:40:00Z",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    }
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 dynamicEntity_createwritable_entity_ Originally /banks/SYS/dynamic-entities/writable_entity